Package org.jfree.layouting.layouter.style

## Class LayoutStyleImpl

- java.lang.Object
- - org.jfree.layouting.layouter.style.LayoutStyleImpl

- All Implemented Interfaces:
    `LayoutStyle`

      public final class LayoutStyleImpl
      extends java.lang.Object
      implements LayoutStyle

  Unlike the old JFreeReport stylesheet, this implementation has no inheritance at all. It needs to be resolved manually, which is no bad thing, as we have to do this anyway during the computation.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LayoutStyleImpl​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `copyFrom​(LayoutStyle style)` |
    `LayoutStyleImpl` | `createCopy​()` |
    `void` | `dispose​()` |
    `java.lang.Object` | `getReference​()` |
    `CSSValue` | `getValue​(StyleKey key)` |
    `boolean` | `isClean​()` |
    `void` | `setReference​(java.lang.Object reference)` |
    `void` | `setValue​(StyleKey key, CSSValue value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutStyleImpl

          public LayoutStyleImpl​()

  - ### Method Detail

    - #### getReference

          public java.lang.Object getReference​()

    - #### setReference

          public void setReference​(java.lang.Object reference)

    - #### getValue

          public CSSValue getValue​(StyleKey key)

      Specified by:
        `getValue` in interface `LayoutStyle`

    - #### setValue

          public void setValue​(StyleKey key,
                               CSSValue value)

      Specified by:
        `setValue` in interface `LayoutStyle`

    - #### dispose

          public void dispose​()

    - #### createCopy

          public LayoutStyleImpl createCopy​()

    - #### isClean

          public boolean isClean​()

    - #### copyFrom

          public boolean copyFrom​(LayoutStyle style)

      Specified by:
        `copyFrom` in interface `LayoutStyle`